# Certificate of incorpration OCR

## Submit Document

### `coi_ocr`

`POST` `https://secctrl.tutelar.io/api/v1/kyc/vision/coi_ocr`

Post parameters description is given below.

| Post Parameter | Type   | Is Mandatory | Description   |
| -------------- | ------ | ------------ | ------------- |
| `image_url`    | String | Yes          | Image/pdf Url |

#### Sample Post Parameters

```json
{
  "image_url": "Url or Base64"
}
```

200: Success Response\
200: InProgress Response\
400: Validation Error Response\
200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "b5950b9e-ed44-4529-a18e-f8c8054a5035",
  "status": "completed",
  "result": {
    "cin_number": "U51504RJ2021PTC076451",
    "incorporation_date": "13/08/2021",
    "company_name": "DISCOUNT MART PRIVATE LIMITED",
    "pan_number": "AAICD6833H",
    "tan_number": "JPRD06659C",
    "address": "D-115, G-2, Sheetal Mangalam City Hathoj, Jaipur, Jaipur, Rajasthan, India, 302012"
  },
  "requested_at": "2026-01-14T10:54:00.469Z",
  "completed_at": "2026-01-14T10:54:00.628Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "2fd4c21f-478d-4e52-bdc1-87ac29cdb300",
  "status": "in_progress",
  "requested_at": "2026-01-14T06:15:03.375Z"
}
```

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "COI document URL or Base64 data is missing!",
    "field": "image_url",
    "code": "BAD_REQUEST"
  }
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "b635bb28-a2f5-4e90-be3c-75c399e2c98f",
  "status": "failed",
  "error": {
    "message": "No COI Certificate detected",
    "code": "ERROR"
  },
  "requested_at": "2026-01-14T11:02:34.045Z",
  "completed_at": "2026-01-14T11:02:37.578Z"
}
```

## Check Document Status

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/vision/coi_ocr`

Query parameters description is given below.

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

200: Success Response\
200: InProgress Response\
200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "b5950b9e-ed44-4529-a18e-f8c8054a5035",
  "status": "completed",
  "result": {
    "cin_number": "U51504RJ2021PTC076451",
    "incorporation_date": "13/08/2021",
    "company_name": "DISCOUNT MART PRIVATE LIMITED",
    "pan_number": "AAICD6833H",
    "tan_number": "JPRD06659C",
    "address": "D-115, G-2, Sheetal Mangalam City Hathoj, Jaipur, Jaipur, Rajasthan, India, 302012"
  },
  "requested_at": "2026-01-14T10:54:00.469Z",
  "completed_at": "2026-01-14T10:54:00.628Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "2fd4c21f-478d-4e52-bdc1-87ac29cdb300",
  "status": "in_progress",
  "requested_at": "2026-01-14T06:15:03.375Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "b635bb28-a2f5-4e90-be3c-75c399e2c98f",
  "status": "failed",
  "error": {
    "message": "No COI Certificate detected",
    "code": "ERROR"
  },
  "requested_at": "2026-01-14T11:02:34.045Z",
  "completed_at": "2026-01-14T11:02:37.578Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/certificate-of-incorpration-ocr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
